cURL
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/shipment-notices/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/shipment-notices/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/shipment-notices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "SUBMITTED",
"sourceType": "SUPPLIER",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"warehouse": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"shipmentNoticeOrderItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorSku": "<string>",
"vendorCode": "<string>",
"categoryCode": "<string>",
"productTitle": "<string>"
},
"status": "EXPECTED",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"quantity": 123,
"description": "<string>"
}
],
"shipmentNoticePackages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"shipmentNoticePackageItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inventories": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"deployStatus": "AWAITING_ARRIVAL",
"serialNumber": "SN123456789",
"warehouse": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"status": "EXPECTED",
"expectedQuantity": 123,
"receivedQuantity": 123,
"skuId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorSku": "<string>"
}
],
"status": "PENDING",
"trackingCode": "<string>",
"shippingCarrier": "<string>",
"trackingUrl": "<string>"
}
],
"condition": "NEW",
"purchaseOrderNumber": "<string>",
"expectedShipDate": "2023-12-25",
"submittedBy": {
"id": "016fb454-066b-4ba5-9eca-a2fa14b7e7fc",
"forename": "<string>",
"surname": "<string>"
}
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Shipment Notices
Get shipment notice
Returns full details for a single shipment notice order belonging to the caller’s organization. Each package item includes a full inventories list with individual serial numbers and inventory IDs.
GET
https://apipub.firstbasehq.com
/
api
/
v1
/
shipment-notices
/
{id}
cURL
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/shipment-notices/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/shipment-notices/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/shipment-notices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "SUBMITTED",
"sourceType": "SUPPLIER",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"warehouse": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"shipmentNoticeOrderItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sku": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorSku": "<string>",
"vendorCode": "<string>",
"categoryCode": "<string>",
"productTitle": "<string>"
},
"status": "EXPECTED",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"quantity": 123,
"description": "<string>"
}
],
"shipmentNoticePackages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"shipmentNoticePackageItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inventories": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"deployStatus": "AWAITING_ARRIVAL",
"serialNumber": "SN123456789",
"warehouse": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"status": "EXPECTED",
"expectedQuantity": 123,
"receivedQuantity": 123,
"skuId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorSku": "<string>"
}
],
"status": "PENDING",
"trackingCode": "<string>",
"shippingCarrier": "<string>",
"trackingUrl": "<string>"
}
],
"condition": "NEW",
"purchaseOrderNumber": "<string>",
"expectedShipDate": "2023-12-25",
"submittedBy": {
"id": "016fb454-066b-4ba5-9eca-a2fa14b7e7fc",
"forename": "<string>",
"surname": "<string>"
}
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Prefix the value with "ApiKey" to indicate the custom authorization type
Path Parameters
Response
The requested shipment notice order
Shipment notice order (V1)
Shipment notice order ID
Order status
Available options:
SUBMITTED, PROCESSING, COMPLETED, PARTIALLY_COMPLETED, NOT_COMPLETED, CANCELLED Source type
Available options:
SUPPLIER, OFFICE Created timestamp
Last updated timestamp
Destination warehouse
Show child attributes
Show child attributes
Order line items
Show child attributes
Show child attributes
Packages in this shipment notice
Show child attributes
Show child attributes
Condition of items
Available options:
NEW, USED Purchase order number
Expected ship date
Person who submitted the shipment notice.
Show child attributes
Show child attributes